> ## Documentation Index
> Fetch the complete documentation index at: https://funnelfox.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List transactions



## OpenAPI

````yaml /swagger/openapi.json get /transactions
openapi: 3.0.0
info:
  title: Public API
  version: 1.0.0
servers:
  - url: https://api.funnelfox.io/public/v1
security: []
paths:
  /transactions:
    get:
      summary: List transactions
      operationId: TransactionsList
      parameters:
        - in: header
          name: Fox-Secret
          required: true
          description: Project Secret Key
          schema:
            type: string
            example: secret_
        - in: query
          name: limit
          required: false
          description: Maximum number of items to return
          schema:
            type: integer
            minimum: 1
            maximum: 500
            default: 20
        - in: query
          name: cursor
          required: false
          description: Cursor for pagination
          schema:
            type: string
        - in: query
          name: filter[subscription_id]
          x-go-name: SubscriptionID
          required: false
          description: Filter by Subscription ID
          schema:
            type: string
        - in: query
          name: filter[updated_at.from]
          x-go-name: UpdatedAtFrom
          required: false
          description: >-
            Filter by updated_at >= this value (RFC3339, e.g.
            2024-11-01T00:00:00Z)
          schema:
            type: string
            format: date-time
        - in: query
          name: filter[updated_at.to]
          x-go-name: UpdatedAtTo
          required: false
          description: >-
            Filter by updated_at < this value (RFC3339, e.g.
            2024-12-01T00:00:00Z)
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: transactions list
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                  - pagination
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      required:
                        - id
                        - created_at
                        - session_id
                        - profile_id
                        - funnel_id
                        - funnel_version
                        - currency
                        - price
                        - price_usd
                        - sandbox
                        - funnel
                      properties:
                        id:
                          type: string
                          x-go-name: ID
                        created_at:
                          type: string
                          format: date-time
                        session_id:
                          type: string
                          x-go-name: SessionID
                        profile_id:
                          type: string
                          x-go-name: ProfileID
                        funnel_id:
                          type: string
                          x-go-name: FunnelID
                        funnel:
                          type: object
                          required:
                            - id
                            - title
                            - alias
                            - type
                          properties:
                            id:
                              type: string
                              x-go-name: ID
                            title:
                              type: string
                            alias:
                              type: string
                              description: Alias/slug for the funnel
                            type:
                              type: string
                              enum:
                                - default
                                - cancellation
                                - retargeting
                        funnel_version:
                          type: integer
                        funnel_locale:
                          type: string
                        experiment_id:
                          type: string
                        currency:
                          type: string
                        price:
                          type: integer
                        price_usd:
                          type: integer
                        sandbox:
                          type: boolean
                  pagination:
                    type: object
                    required:
                      - has_more
                    properties:
                      total:
                        type: integer
                        description: Total count of items
                      has_more:
                        type: boolean
                        description: Whether there are more items available
                      next_cursor:
                        type: string
                        description: Cursor for next page

````